from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XAttr(XNode, Protocol):
    def getName(self) -> str: ...
    def getOwnerElement(self) -> XElement: ...
    def getSpecified(self) -> bool: ...
    def getValue(self) -> str: ...
